/*
 * Tirititran es un juego de naves en 2D ambientado en Cádiz
 * Copyright (C) 2004  Javier Pérez Pacheco
 *
 * Este juego tienen licencia Creative Commons y se permite
 * su modificacion y utilizacion libremente siempre y cuando se
 * cite al autor original y se comparta con la misma licencia.
 * No se permite su uso comercial.
 * 
 * Para mas informacion visite la web:
 * http://creativecommons.org/licenses/by-nc-sa/2.0/es/
 *
 * PROGRAMADOR
 * Javier Pérez Pacheco
 * Cadiz (Spain)
 * javi.pacheco@terra.es
 *
 * GRAFISMO Y 3D
 * Jesus Carrasco
 * Cadiz (Spain)
 * carrasco.carrasco@gmail.com
 *
 * MUSICA Y GRAFISMO
 * Shano Lores
 * Cadiz (Spain)
 * shano@mail.ono.es
 *
 */

#ifndef JOYSTICK_H_
#define JOYSTICK_H_

#include <SDL.h>
#include <SDL_mixer.h>
#include <SDL_ttf.h>
#include "defines.h"

class Joystick {
	
private:

public:
	SDL_Joystick *joystick;
	int salir;
	Joystick ();
	void initJoystick ();
	int comprobarBotonJoystick(int boton);
	void unLoadJoystick ();
};

#endif /* JOYSTICK_H_ */
